Index: LMDZ5/branches/testing/libf/dyn3d/addfi.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/addfi.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/addfi.F	(revision 2641)
@@ -46,9 +46,7 @@
 c    ------------------
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "serre.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c    Arguments :
Index: LMDZ5/branches/testing/libf/dyn3d/advect.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/advect.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/advect.F	(revision 2641)
@@ -4,4 +4,8 @@
       SUBROUTINE advect(ucov,vcov,teta,w,massebx,masseby,du,dv,dteta)
 
+      USE comconst_mod, ONLY: daysec
+      USE logic_mod, ONLY: conser
+      USE ener_mod, ONLY: gtot
+      
       IMPLICIT NONE
 c=======================================================================
@@ -24,11 +28,7 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "logic.h"
-#include "ener.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d/advtrac.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/advtrac.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/advtrac.F90	(revision 2641)
@@ -11,5 +11,5 @@
   USE infotrac, ONLY: nqtot, iadv,nqperes,ok_iso_verif
   USE control_mod, ONLY: iapp_tracvl, day_step
-
+  USE comconst_mod, ONLY: dtvr
 
   IMPLICIT NONE
@@ -17,11 +17,6 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comdissip.h"
   include "comgeom2.h"
-  include "logic.h"
-  include "temps.h"
-  include "ener.h"
   include "description.h"
   include "iniprint.h"
Index: LMDZ5/branches/testing/libf/dyn3d/bilan_dyn.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/bilan_dyn.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/bilan_dyn.F	(revision 2641)
@@ -13,14 +13,14 @@
       USE IOIPSL
 #endif
+      USE comconst_mod, ONLY: pi, cpp
+      USE comvert_mod, ONLY: presnivs
+      USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn
 
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
-#include "temps.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "iniprint.h"
 
 c====================================================================
Index: LMDZ5/branches/testing/libf/dyn3d/caladvtrac.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/caladvtrac.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/caladvtrac.F	(revision 2641)
@@ -10,4 +10,5 @@
       USE infotrac, ONLY : nqtot
       USE control_mod, ONLY : iapp_tracvl,planet_type
+      USE comconst_mod, ONLY: dtvr
  
       IMPLICIT NONE
@@ -23,7 +24,6 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d/caldyn.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/caldyn.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/caldyn.F	(revision 2641)
@@ -6,4 +6,7 @@
      $  phi,conser,du,dv,dteta,dp,w,pbaru,pbarv,time )
 
+      
+      USE comvert_mod, ONLY: ap, bp
+      
       IMPLICIT NONE
 
@@ -24,9 +27,7 @@
 !   ----------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 
 !   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/conf_gcm.F90	(revision 2641)
@@ -13,4 +13,13 @@
   USE infotrac, ONLY : type_trac
   use assert_m, only: assert
+  USE comconst_mod, ONLY: dissip_deltaz, dissip_factz, dissip_zref, &
+                          iflag_top_bound, mode_top_bound, tau_top_bound, &
+                          ngroup
+  USE logic_mod, ONLY: fxyhypb, iflag_phys, ok_etat0, ok_gradsfile, &
+                       ok_guide, ok_limit, ok_strato, purmats, read_start, &
+                       ysinus
+  USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
+                       alphax,alphay,taux,tauy
+  USE temps_mod, ONLY: calend
 
   IMPLICIT NONE
@@ -31,9 +40,5 @@
   include "dimensions.h"
   include "paramet.h"
-  include "logic.h"
-  include "serre.h"
   include "comdissnew.h"
-  include "temps.h"
-  include "comconst.h"
   include "iniprint.h"
 
@@ -41,9 +46,7 @@
   !   ------
 
-  CHARACTER ch1*72,ch2*72,ch3*72,ch4*12
   REAL clonn,clatt,grossismxx,grossismyy
   REAL dzoomxx,dzoomyy, tauxx,tauyy
   LOGICAL  fxyhypbb, ysinuss
-  INTEGER i
 
   !  -------------------------------------------------------------------
Index: LMDZ5/branches/testing/libf/dyn3d/dissip.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/dissip.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/dissip.F	(revision 2641)
@@ -4,4 +4,6 @@
       SUBROUTINE dissip( vcov,ucov,teta,p, dv,du,dh )
 c
+      USE comconst_mod, ONLY: dtdiss
+      
       IMPLICIT NONE
 
@@ -25,10 +27,9 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "comdissnew.h"
-#include "comdissipn.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "comdissnew.h"
+      include "comdissipn.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d/dteta1.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/dteta1.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/dteta1.F	(revision 2641)
@@ -21,7 +21,6 @@
 
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
+      include "dimensions.h"
+      include "paramet.h"
 
       REAL teta( ip1jmp1,llm ),pbaru( ip1jmp1,llm ),pbarv( ip1jm,llm)
Index: LMDZ5/branches/testing/libf/dyn3d/dudv2.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/dudv2.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/dudv2.F	(revision 2641)
@@ -26,7 +26,6 @@
 c=======================================================================
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 
       REAL teta( ip1jmp1,llm ),pkf( ip1jmp1,llm ) ,bern( ip1jmp1,llm ),
Index: LMDZ5/branches/testing/libf/dyn3d/dynetat0.f90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/dynetat0.f90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/dynetat0.f90	(revision 2641)
@@ -11,15 +11,16 @@
   USE control_mod, ONLY: planet_type
   USE assert_eq_m, ONLY: assert_eq
+  USE comvert_mod, ONLY: pa,preff
+  USE comconst_mod, ONLY: cpp, daysec, dtvr, g, im, jm, kappa, lllm, omeg, rad
+  USE logic_mod, ONLY: fxyhypb, ysinus
+  USE serre_mod, ONLY: clon, clat, grossismx, grossismy
+  USE temps_mod, ONLY: annee_ref, day_ini, day_ref, itau_dyn, start_time
+  USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "temps.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comgeom2.h"
-  include "ener.h"
   include "description.h"
-  include "serre.h"
-  include "logic.h"
   include "iniprint.h"
 !===============================================================================
Index: LMDZ5/branches/testing/libf/dyn3d/dynredem.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/dynredem.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/dynredem.F90	(revision 2641)
@@ -11,15 +11,18 @@
                     NF90_CLOSE,  NF90_PUT_ATT, NF90_UNLIMITED, NF90_CLOBBER
   USE dynredem_mod, ONLY: cre_var, put_var1, put_var2, err, modname, fil
+  USE comvert_mod, ONLY: ap,bp,aps,bps,presnivs,pseudoalt,pa,preff, &
+                              nivsig,nivsigs
+  USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
+  USE logic_mod, ONLY: fxyhypb, ysinus
+  USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy, &
+                              taux,tauy
+  USE temps_mod, ONLY: annee_ref, day_ref, itau_dyn, itaufin, start_time
+  USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
+  
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comgeom2.h"
-  include "temps.h"
-  include "ener.h"
-  include "logic.h"
   include "description.h"
-  include "serre.h"
   include "iniprint.h"
 !===============================================================================
@@ -168,11 +171,11 @@
   USE dynredem_mod, ONLY: dynredem_write_u, dynredem_write_v, dynredem_read_u, &
                           err, modname, fil, msg
+  USE temps_mod, ONLY: itau_dyn, itaufin
+  
   IMPLICIT NONE
   include "dimensions.h"
   include "paramet.h"
   include "description.h"
-  include "comvert.h"
   include "comgeom.h"
-  include "temps.h"
   include "iniprint.h"
 !===============================================================================
Index: LMDZ5/branches/testing/libf/dyn3d/fluxstokenc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/fluxstokenc.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/fluxstokenc.F	(revision 2641)
@@ -16,12 +16,9 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "tracstoke.h"
-#include "temps.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "tracstoke.h"
+      include "iniprint.h"
 
       REAL time_step,t_wrt, t_ops
@@ -36,5 +33,5 @@
 
       REAL pbarvst(iip1,jjp1,llm),zistdyn
-	real dtcum
+        real dtcum
 
       INTEGER iadvtr,ndex(1) 
@@ -60,13 +57,13 @@
       if(first) then
 
-	CALL initfluxsto( 'fluxstoke',
+        CALL initfluxsto( 'fluxstoke',
      .  time_step,istdyn* time_step,istdyn* time_step,
      .  fluxid,fluxvid,fluxdid) 
-	
-	ndex(1) = 0
+        
+        ndex(1) = 0
         call histwrite(fluxid, 'phis', 1, phis, iip1*jjp1, ndex)
         call histwrite(fluxid, 'aire', 1, aire, iip1*jjp1, ndex)
-	
-	ndex(1) = 0
+        
+        ndex(1) = 0
         nscal = 1
         tst(1) = time_step
@@ -76,6 +73,6 @@
         istp(1)= istphy
         call histwrite(fluxdid, 'istphy', 1, istp, nscal, ndex)
-	
-	first = .false.
+        
+        first = .false.
 
       endif
@@ -141,24 +138,24 @@
 
          iadvtr=0
-	write(lunout,*)'ITAU auquel on stoke les fluxmasses',itau
-	
-	call histwrite(fluxid, 'masse', itau, massem,
+        write(lunout,*)'ITAU auquel on stoke les fluxmasses',itau
+        
+        call histwrite(fluxid, 'masse', itau, massem,
      .               iip1*jjp1*llm, ndex)
-	
-	call histwrite(fluxid, 'pbaru', itau, pbarug,
+        
+        call histwrite(fluxid, 'pbaru', itau, pbarug,
      .               iip1*jjp1*llm, ndex)
-	
-	call histwrite(fluxvid, 'pbarv', itau, pbarvg,
+        
+        call histwrite(fluxvid, 'pbarv', itau, pbarvg,
      .               iip1*jjm*llm, ndex)
-	
+        
         call histwrite(fluxid, 'w' ,itau, wg, 
      .             iip1*jjp1*llm, ndex) 
-	
-	call histwrite(fluxid, 'teta' ,itau, tetac, 
+        
+        call histwrite(fluxid, 'teta' ,itau, tetac, 
      .             iip1*jjp1*llm, ndex) 
-	
-	call histwrite(fluxid, 'phi' ,itau, phic, 
+        
+        call histwrite(fluxid, 'phi' ,itau, phic, 
      .             iip1*jjp1*llm, ndex) 
-	
+        
 C
 
Index: LMDZ5/branches/testing/libf/dyn3d/friction.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/friction.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/friction.F	(revision 2641)
@@ -12,5 +12,5 @@
       USE ioipsl_getincom
 #endif
-      
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 
@@ -27,10 +27,9 @@
 !=======================================================================
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comgeom2.h"
-#include "comconst.h"
-#include "iniprint.h"
-#include "academic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
+      include "iniprint.h"
+      include "academic.h"
 
 ! arguments:
Index: LMDZ5/branches/testing/libf/dyn3d/gcm.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/gcm.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/gcm.F90	(revision 2641)
@@ -23,5 +23,8 @@
   USE control_mod
   USE mod_const_mpi, ONLY: COMM_LMDZ
-
+  USE temps_mod, ONLY: calend,start_time,annee_ref,day_ref, &
+                     itau_dyn,itau_phy,day_ini,jD_ref,jH_ref,day_end
+  USE comconst_mod, ONLY: cpp, daysec, dtphys, dtvr, g, r, rad
+  USE logic_mod, ONLY: ecripar, iflag_phys, read_start
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -68,15 +71,7 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
   include "comdissnew.h"
-  include "comvert.h"
   include "comgeom.h"
-  include "logic.h"
-  include "temps.h"
-!!!!!!!!!!!include "control.h"
-  include "ener.h"
   include "description.h"
-  include "serre.h"
-  !include "com_io_dyn.h"
   include "iniprint.h"
   include "tracstoke.h"
@@ -89,9 +84,9 @@
   REAL, ALLOCATABLE, DIMENSION(:,:,:):: q! champs advectes
   REAL ps(ip1jmp1)                       ! pression  au sol
-  REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
+!  REAL p (ip1jmp1,llmp1  )               ! pression aux interfac.des couches
   REAL masse(ip1jmp1,llm)                ! masse d'air
   REAL phis(ip1jmp1)                     ! geopotentiel au sol
-  REAL phi(ip1jmp1,llm)                  ! geopotentiel
-  REAL w(ip1jmp1,llm)                    ! vitesse verticale
+!  REAL phi(ip1jmp1,llm)                  ! geopotentiel
+!  REAL w(ip1jmp1,llm)                    ! vitesse verticale
 
   ! variables dynamiques intermediaire pour le transport
@@ -103,10 +98,7 @@
 
   LOGICAL lafin
-  INTEGER ij,iq,l,i,j
 
 
   real time_step, t_wrt, t_ops
-
-  LOGICAL first
 
   !      LOGICAL call_iniphys
@@ -118,8 +110,8 @@
   !     tansformation d'energie cinetique en energie thermique
   !     cree par la dissipation
-  REAL dhecdt(ip1jmp1,llm)
+!  REAL dhecdt(ip1jmp1,llm)
   !      REAL vcont(ip1jm,llm),ucont(ip1jmp1,llm)
   !      REAL      d_h_vcol, d_qt, d_qw, d_ql, d_ec
-  CHARACTER (len=15) :: ztit
+!  CHARACTER (len=15) :: ztit
   !-jld 
 
Index: LMDZ5/branches/testing/libf/dyn3d/groupe.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/groupe.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/groupe.F	(revision 2641)
@@ -3,4 +3,7 @@
 !
       subroutine groupe(pext,pbaru,pbarv,pbarum,pbarvm,wm)
+      
+      use comconst_mod, only: ngroup
+      
       implicit none
 
@@ -16,9 +19,7 @@
 c   pas besoin de w en entree.
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
 !     integer ngroup
Index: LMDZ5/branches/testing/libf/dyn3d/groupeun.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/groupeun.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/groupeun.F	(revision 2641)
@@ -3,10 +3,12 @@
 !
       SUBROUTINE groupeun(jjmax,llmax,q)
+      
+      USE comconst_mod, ONLY: ngroup
+      
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
       INTEGER jjmax,llmax
@@ -135,10 +137,12 @@
       
       SUBROUTINE INIT_GROUPEUN(airen_tab, aires_tab)
+      
+      USE comconst_mod, ONLY: ngroup
+      
       IMPLICIT NONE
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
 !     INTEGER ngroup
Index: LMDZ5/branches/testing/libf/dyn3d/guide_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/guide_mod.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/guide_mod.F90	(revision 2641)
@@ -63,5 +63,6 @@
   SUBROUTINE guide_init
 
-    USE control_mod
+    USE control_mod, ONLY: day_step
+    USE serre_mod, ONLY: grossismx
 
     IMPLICIT NONE
@@ -70,7 +71,4 @@
     INCLUDE "paramet.h"
     INCLUDE "netcdf.inc"
-
-    ! For grossismx:
-    include "serre.h"
 
     INTEGER                :: error,ncidpl,rid,rcod
@@ -314,5 +312,7 @@
   SUBROUTINE guide_main(itau,ucov,vcov,teta,q,masse,ps)
 
-    USE control_mod
+    USE control_mod, ONLY: day_step, iperiod
+    USE comconst_mod, ONLY: dtvr, daysec
+    USE comvert_mod, ONLY: ap, bp, preff, presnivs
  
     IMPLICIT NONE
@@ -320,6 +320,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "comconst.h"
-    INCLUDE "comvert.h"
 
     ! Variables entree
@@ -542,4 +540,6 @@
   SUBROUTINE guide_zonave(typ,hsize,vsize,field)
 
+    USE comconst_mod, ONLY: pi
+    
     IMPLICIT NONE
 
@@ -547,5 +547,4 @@
     INCLUDE "paramet.h"
     INCLUDE "comgeom.h"
-    INCLUDE "comconst.h"
     
     ! input/output variables
@@ -607,11 +606,11 @@
   use exner_hyb_m, only: exner_hyb
   use exner_milieu_m, only: exner_milieu
+  use comconst_mod, only: kappa, cpp
+  use comvert_mod, only: preff, pressure_exner, bp, ap
   IMPLICIT NONE
 
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom2.h"
-  include "comconst.h"
 
   REAL, DIMENSION (iip1,jjp1),     INTENT(IN) :: psi ! Psol gcm
@@ -777,15 +776,15 @@
             do j=1,jjp1
                 IF (guide_teta) THEN
-		    do i=1,iim
-			ij=(j-1)*iip1+i
-			tgui1(ij,l)=zu1(i,j,l)
-			tgui2(ij,l)=zu2(i,j,l)
-		    enddo
+                    do i=1,iim
+                        ij=(j-1)*iip1+i
+                        tgui1(ij,l)=zu1(i,j,l)
+                        tgui2(ij,l)=zu2(i,j,l)
+                    enddo
                 ELSE
-		    do i=1,iim
-			ij=(j-1)*iip1+i
-			tgui1(ij,l)=zu1(i,j,l)*cpp/pk(i,j,l)
-			tgui2(ij,l)=zu2(i,j,l)*cpp/pk(i,j,l)
-		    enddo
+                    do i=1,iim
+                        ij=(j-1)*iip1+i
+                        tgui1(ij,l)=zu1(i,j,l)*cpp/pk(i,j,l)
+                        tgui2(ij,l)=zu2(i,j,l)*cpp/pk(i,j,l)
+                    enddo
                 ENDIF
                 tgui1(j*iip1,l)=tgui1((j-1)*iip1+1,l)    
@@ -855,11 +854,12 @@
 ! Calcul des constantes de rappel alpha (=1/tau)
 
+    use comconst_mod, only: pi
+    use serre_mod, only: clon, clat, grossismx, grossismy
+    
     implicit none
 
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom2.h"
-    include "serre.h"
 
 ! input arguments :
@@ -1516,4 +1516,7 @@
   SUBROUTINE guide_out(varname,hsize,vsize,field)
 
+    USE comconst_mod, ONLY: pi
+    USE comvert_mod, ONLY: presnivs
+    
     IMPLICIT NONE
 
@@ -1522,6 +1525,4 @@
     INCLUDE "netcdf.inc"
     INCLUDE "comgeom2.h"
-    INCLUDE "comconst.h"
-    INCLUDE "comvert.h"
     
     ! Variables entree
Index: LMDZ5/branches/testing/libf/dyn3d/iniacademic.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/iniacademic.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/iniacademic.F90	(revision 2641)
@@ -16,4 +16,9 @@
   use exner_hyb_m, only: exner_hyb
   use exner_milieu_m, only: exner_milieu
+  USE comconst_mod, ONLY: cpp, kappa, g, daysec, dtvr, pi, im, jm
+  USE logic_mod, ONLY: iflag_phys, read_start
+  USE comvert_mod, ONLY: ap, bp, preff, presnivs, pressure_exner
+  USE temps_mod, ONLY: annee_ref, day_ini, day_ref
+  USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -28,12 +33,7 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
-  include "comconst.h"
   include "comgeom.h"
   include "academic.h"
-  include "ener.h"
-  include "temps.h"
   include "iniprint.h"
-  include "logic.h"
 
   !   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d/integrd.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/integrd.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/integrd.F	(revision 2641)
@@ -8,4 +8,8 @@
 
       use control_mod, only : planet_type
+      use comconst_mod, only: pi
+      USE logic_mod, ONLY: leapf
+      use comvert_mod, only: ap, bp
+      USE temps_mod, ONLY: dt
 
       IMPLICIT NONE
@@ -27,13 +31,8 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "comvert.h"
-#include "logic.h"
-#include "temps.h"
-#include "serre.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "iniprint.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d/leapfrog.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/leapfrog.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/leapfrog.F	(revision 2641)
@@ -20,4 +20,10 @@
       use exner_hyb_m, only: exner_hyb
       use exner_milieu_m, only: exner_milieu
+      USE comvert_mod, ONLY: ap,bp,pressure_exner,presnivs
+      USE comconst_mod, ONLY: cpp, dtphys, dtvr, pi, ihf
+      USE logic_mod, ONLY: iflag_phys,ok_guide,forward,leapf,apphys,
+     &                     statcl,conser,apdiss,purmats,ok_strato
+      USE temps_mod, ONLY: jD_ref,jH_ref,itaufin,day_ini,day_ref,
+     &                        start_time,dt
 
       IMPLICIT NONE
@@ -54,18 +60,11 @@
 c   -------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comdissnew.h"
-#include "comvert.h"
-#include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
-#include "serre.h"
-!#include "com_io_dyn.h"
-#include "iniprint.h"
-#include "academic.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comdissnew.h"
+      include "comgeom.h"
+      include "description.h"
+      include "iniprint.h"
+      include "academic.h"
 
       REAL,INTENT(IN) :: time_0 ! not used
@@ -714,5 +713,5 @@
             IF( MOD(itau,iecri).EQ.0) THEN
              ! Ehouarn: output only during LF or Backward Matsuno
-	     if (leapf.or.(.not.leapf.and.(.not.forward))) then
+             if (leapf.or.(.not.leapf.and.(.not.forward))) then
               CALL geopot(ip1jmp1,teta,pk,pks,phis,phi)
               unat=0.
@@ -724,5 +723,5 @@
               if (ok_dyn_ins) then
 !               write(lunout,*) "leapfrog: call writehist, itau=",itau
-	       CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
+               CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
 !               call WriteField('ucov',reshape(ucov,(/iip1,jmp1,llm/)))
 !               call WriteField('vcov',reshape(vcov,(/iip1,jjm,llm/)))
@@ -854,5 +853,5 @@
 !                write(lunout,*) "leapfrog: call writehist (b)",
 !     &                        itau,iecri
-		CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
+                CALL writehist(itau,vcov,ucov,teta,phi,q,masse,ps,phis)
               endif ! of if (ok_dyn_ins)
 #endif
Index: LMDZ5/branches/testing/libf/dyn3d/logic_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/logic_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/dyn3d/logic_mod.F90	(revision 2641)
@@ -0,0 +1,35 @@
+!
+! $Id$
+!
+MODULE logic_mod
+
+IMPLICIT NONE
+
+  LOGICAL purmats ! true if time stepping is purely Matsuno scheme
+                  ! false implies Matsuno-Leapfrog time stepping scheme
+  LOGICAL forward ! true if during forward phase of Matsuno step
+  LOGICAL leapf ! true if during a leapfrog time stepping step
+  LOGICAL apphys ! true if during a time step when physics will be called
+  LOGICAL statcl
+  LOGICAL conser
+  LOGICAL apdiss ! true if during a time step when dissipation will be called
+  LOGICAL apdelq
+  LOGICAL saison
+  LOGICAL ecripar
+  LOGICAL fxyhypb ! true if using hyperbolic function discretization
+                  ! for latitudinal grid 
+  LOGICAL ysinus ! true if using sine function discretiation
+                 ! for latitudinal grid
+  LOGICAL read_start ! true if reading a start.nc file to initialize fields
+  LOGICAL ok_guide ! true if nudging
+  LOGICAL ok_strato
+  LOGICAL ok_gradsfile
+  LOGICAL ok_limit
+  LOGICAL ok_etat0
+  LOGICAL hybrid ! vertical coordinate is hybrid if true (sigma otherwise)
+                 ! (only used if disvert_type==2)
+  INTEGER iflag_phys ! type of physics to call: 0 none, 1: phy*** package,
+                     ! 2: Held & Suarez, 101-200: aquaplanets & terraplanets
+  INTEGER iflag_trac
+
+END MODULE logic_mod
Index: LMDZ5/branches/testing/libf/dyn3d/qminimum.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/qminimum.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/qminimum.F	(revision 2641)
@@ -10,7 +10,6 @@
 c             pour l'eau vapeur et l'eau liquide
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
+      include "dimensions.h"
+      include "paramet.h"
 c
       INTEGER nqtot
Index: LMDZ5/branches/testing/libf/dyn3d/sw_case_williamson91_6.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/sw_case_williamson91_6.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/sw_case_williamson91_6.F	(revision 2641)
@@ -26,4 +26,7 @@
 c
 c=======================================================================
+      USE comconst_mod, ONLY: cpp, omeg, rad
+      USE comvert_mod, ONLY: ap, bp, preff
+      
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -31,10 +34,8 @@
 c   ---------------
 
-#include "dimensions.h"
-#include "paramet.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
-#include "iniprint.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
+      include "iniprint.h"
 
 c   Arguments:
Index: LMDZ5/branches/testing/libf/dyn3d/temps_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/temps_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/dyn3d/temps_mod.F90	(revision 2641)
@@ -0,0 +1,24 @@
+!
+! $Id$
+!
+MODULE temps_mod
+
+IMPLICIT NONE  
+
+  INTEGER   itaufin ! total number of dynamical steps for the run
+  INTEGER   itau_dyn
+  INTEGER   itau_phy
+  INTEGER   day_ini ! initial day # of simulation sequence
+  INTEGER   day_end ! final day # ; i.e. day # when this simulation ends
+  INTEGER   annee_ref
+  INTEGER   day_ref
+  REAL      dt ! (dynamics) time step (changes if doing Matsuno or LF step)
+  REAL      jD_ref ! reference julian day date (beginning of experiment)
+  REAL      jH_ref ! reference julian "hour" of reference julian date
+  REAL      start_time
+  CHARACTER (len=10) :: calend ! calendar type
+
+  ! Additionnal Mars stuff:
+  REAL hour_ini ! initial fraction of day of simulation sequence (0=<hour_ini<1)
+
+END MODULE temps_mod
Index: LMDZ5/branches/testing/libf/dyn3d/top_bound.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/top_bound.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/top_bound.F	(revision 2641)
@@ -3,11 +3,14 @@
 !
       SUBROUTINE top_bound(vcov,ucov,teta,masse,dt)
+      
+      USE comconst_mod, ONLY: iflag_top_bound, mode_top_bound,
+     &                        tau_top_bound
+      USE comvert_mod, ONLY: presnivs, preff, scaleheight
+      
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
-#include "comgeom2.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom2.h"
 
 
@@ -39,5 +42,5 @@
 ! NB: top_bound sponge is only called from leapfrog if ok_strato=.true.
 
-! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst.h)
+! sponge parameters: (loaded/set in conf_gcm.F ; stored in comconst_mod)
 !    iflag_top_bound=0 for no sponge
 !    iflag_top_bound=1 for sponge over 4 topmost layers
Index: LMDZ5/branches/testing/libf/dyn3d/vlsplt.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3d/vlsplt.F	(revision 2595)
+++ LMDZ5/branches/testing/libf/dyn3d/vlsplt.F	(revision 2641)
@@ -21,9 +21,6 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 
 c
@@ -157,7 +154,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "logic.h"
-      include "comvert.h"
-      include "comconst.h"
       include "iniprint.h"
 c
@@ -528,12 +522,10 @@
 c
 c   --------------------------------------------------------------------
+      USE comconst_mod, ONLY: pi
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
-#include "comgeom.h"
+      include "dimensions.h"
+      include "paramet.h"
+      include "comgeom.h"
 c
 c
@@ -893,9 +885,6 @@
       IMPLICIT NONE
 c
-#include "dimensions.h"
-#include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
+      include "dimensions.h"
+      include "paramet.h"
 c
 c
